package cn.ezhizao.project.business.domain;

import java.util.Date;
import java.util.List;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 计量单位对象 biz_measurement
 *
 * @author ezhizao
 * @date 2025-04-23
 */
@Data
@TableName(value = "biz_measurement")
public class BizMeasurement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编码 */
    @Excel(name = "编码")
    @ApiModelProperty(value = "目标编码")
    private String code;
    @TableField(exist = false)
    @ApiModelProperty(value = "原始编码")
    private String historyCode;

    /** 换算分子
 */
    @Excel(name = "换算分子 ")
    @ApiModelProperty(value = "换算分子 ")
    private Long numerator;

    /** 换算分母
 */
    @Excel(name = "换算分母 ")
    @ApiModelProperty(value = "换算分母 ")
    private String denominator;

    /** 名称
 */
    @Excel(name = "名称 ")
    @ApiModelProperty(value = "名称 ")
    private String name;

    /** 描述
 */
    @Excel(name = "描述 ")
    @ApiModelProperty(value = "描述 ")
    private String remake;

    /** 所属组别
 */
    @TableField("`group`")
    @ApiModelProperty(value = "所属组别 ")
    private String group;

    /** 基准计量单位
 */
    @Excel(name = "基准计量单位 ")
    @ApiModelProperty(value = "基准计量单位 ")
    private String standard;

    /** 换算类型
 */
    @Excel(name = "换算类型 ")
    @ApiModelProperty(value = "换算类型 ")
    private String conversionType;

    /** 精度 */
    @TableField("`precision`")
    @Excel(name = "精度")
    @ApiModelProperty(value = "精度")
    private Long precision;

    /** 舍入类型 */
    @Excel(name = "舍入类型")
    @ApiModelProperty(value = "舍入类型")
    private String roundingType;

    /** 数据状态 */
    @Excel(name = "数据状态")
    @ApiModelProperty(value = "数据状态")
    private String status;

    /** 禁用状态 */
    @Excel(name = "禁用状态")
    @ApiModelProperty(value = "禁用状态")
    private String forbidden;

    /** 创建日期 */
    @Excel(name = "创建日期")
    @ApiModelProperty(value = "创建日期")
    private String createName;

    /** 修改日期 */
    @Excel(name = "修改日期")
    @ApiModelProperty(value = "修改日期")
    private String updateName;

    /** 审核人 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核人", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "审核日期")
    private Date auditTime;

    /** 审核日期 */
    @Excel(name = "审核日期")
    @ApiModelProperty(value = "审核人")
    private String auditName;

    /** 禁用人 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "禁用时间")
    private Date forbiddenTime;

    /** 禁用日期 */
    @ApiModelProperty(value = "禁用人")
    private String forbiddenName;

    /** 系统预置 */
    @Excel(name = "系统预置")
    @ApiModelProperty(value = "系统预置")
    private String init;
    @TableField(exist = false)
    private List<String> codes;
    @TableField(exist = false)
    private Long tenantId;
    @TableField(exist = false)
    private Long updaterId;
    @TableField(exist = false)
    private Long creatorId;

}
