package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizMeasurementMapper;
import cn.ezhizao.project.business.domain.BizMeasurement;
import cn.ezhizao.project.business.service.IBizMeasurementService;

/**
 * 计量单位Service业务层处理
 *
 * @author ezhizao
 * @date 2025-04-23
 */
@Service
public class BizMeasurementServiceImpl  extends ServiceImpl<BizMeasurementMapper, BizMeasurement> implements IBizMeasurementService
{
    @Resource
    private BizMeasurementMapper bizMeasurementMapper;

    /**
     * 查询计量单位列表
     *
     * @param bizMeasurement 计量单位
     * @return 计量单位
     */
    @Override
    public List<BizMeasurement> getList(BizMeasurement bizMeasurement)
    {
        return bizMeasurementMapper.getList(bizMeasurement);
    }

    /**
     * 物理删除
     * @param bizMeasurement
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizMeasurement bizMeasurement){ return bizMeasurementMapper.physicalDelete(bizMeasurement); };

}
